org.deidentifier.arx.gui.view.impl.common

## Class ComponentMultiStack

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentMultiStack

    public class ComponentMultiStack
    extends java.lang.Object

A stack layout for multiple columns

Author:
  Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`ComponentMultiStack(org.eclipse.swt.widgets.Composite base)` Base composite.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.swt.widgets.Composite` `create(java.lang.Object layoutData)` Creates a new entry
`void` `pack()` Collect information about children
`void` `setLayer(int layer)` Sets the layer

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComponentMultiStack

    public ComponentMultiStack(org.eclipse.swt.widgets.Composite base)

Base composite. Should have a reasonable layout, e.g., GridLayout

Parameters:
  `composite` -

### Method Detail

#### create

    public org.eclipse.swt.widgets.Composite create(java.lang.Object layoutData)

Creates a new entry

Parameters:
  `layoutData` -
Returns:

#### pack

    public void pack()

Collect information about children

#### setLayer

    public void setLayer(int layer)

Sets the layer

Parameters:
  `layer` -